@charset "UTF-8";

body {
    font-family: $POLICE_BASE;
    font-size: 18px;
}

iframe { max-width: 100%; }

::-webkit-scrollbar {
	width: 3px;
	background-color: $COLOR_3;
}

::-webkit-scrollbar-thumb {
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 3px rgba(0,0,0,.1);
	background-color: $COLOR_4;
}

h1 {
    color: $COLOR_2;
    font-size: 30px;
    font-weight: 500;
    text-transform: uppercase;
    margin: 0 0 20px 0;
}
h2 {
    color: $COLOR_2;
    font-weight: 500;
    font-size: 26px;
    margin: 0 0 20px 0;
}
h3 {
    color: $COLOR_6;
    font-weight: 500;
    font-size: 24px;
    margin: 0 0 15px 0;
}
h4 {
    color: $COLOR_2;
    font-weight: 500;
    font-size: 22px;
    margin: 0 0 15px 0;
}
h5 {
    color: $COLOR_6;
    font-weight: 500;
    font-size: 20px;
    margin: 0 0 15px 0;
}
h6 {
    color: $COLOR_2;
    font-weight: 500;
    font-size: 19px;
    margin: 0 0 15px 0;
    text-transform: uppercase;
}
p {
    color: $COLOR_2;
    font-weight: 400;
    margin: 0 auto 15px auto;
}
a {
    color: $COLOR_4;
    text-decoration: none;
    @include transition(all,.3s);
    &:hover, &:focus, &:visited:hover, &:visited:focus { color: $COLOR_6; }
    &:visited { color: $COLOR_7; }
}

%figure {
    position: relative;
    img {
        display: block;
        border: 2px solid $COLOR_2;
        width: calc(100% - 4px);
    }
    a.cboxElement {
        display: block;
        position: relative;
        &::before {
            background:url("../medias/plus.png") no-repeat 95% 95%;
            width: 100%;
            height: 100%;
            content: " ";
            display: block;
            position: absolute;
            z-index: 99;
            opacity:0;
            @include transition(opacity,.3s);
        }
        &:hover::before { opacity:1; }
    }
    a:not(.cboxElement) {
        img {
            -webkit-transition: -webkit-transform 0.4s;
            transition: transform 0.4s;
        }
        &:hover,&:focus {
            img {
                -webkit-transform: scale(1.2) rotate(0.01deg);
                transform: scale(1.2) rotate(0.01deg);
            }
        }
    }
    figcaption {
        width: calc(100% - 20px);
        padding: 10px;
        font-style: italic;
        text-align: right;
        background: $COLOR_2;
        position: absolute;
        bottom: 0;
        font-weight: 500;
        font-size: 15px;
    }
}

%video {
    .mejs__container {
        max-width: 100% !important;
        .mejs__controls, .mejs__layers, .mejs__mediaelement, .mejs__overlay, video {
            max-width: 100% !important;
        }
    }
}

%table {
    table {
        width: 100%;
        border-collapse: collapse;
        color: $COLOR_2;

        th, td {
            text-align: left;
            vertical-align: top;
            padding: 10px;
            border-left: none;
            border-right: none;
        }

        th { background: $COLOR_3; }

        tbody tr {
            &:hover {
                td {
                    background: $COLOR_4;
                    a { color: $COLOR_6; }
                }
            }
            td {
                color: $COLOR_1;
                background: $COLOR_2;
                font-size: 14px;
                font-weight: 400;
                border-bottom: 1px solid $COLOR_1;
                @include transition(all,.3s);
            }
        }

        th, tfoot td {
            font-size: 16px;
            font-weight: 500;
            text-transform: uppercase;
        }
    }
}

%list {
    ol {
        margin: 10px 0 10px 5px;
        padding: 0;
        counter-reset: ol;
        display: inline-block;
        line-height: 160%;
        list-style: none;

        li {
            //@include flex;
            padding-left: 25px;
            position: relative;
            font-size: 18px;
            counter-increment: li;
            color: $COLOR_2;

            strong,i { display: contents; }

            &:before {
                position: absolute;
                left: 0;
                content: counter(li, decimal) " -";
                color: $COLOR_6;
                margin-right: 7px;
                width: 30px;
            }
        }
    }

    ul {
        margin: 10px 0 10px 5px;
        padding: 0;
        list-style: none;
        line-height: 160%;

        li {
            //@include flex;
            padding-left: 25px;
            position: relative;
            font-size: 18px;
            color: $COLOR_2;

            strong,i { display: contents; }

            &:before {
                position: absolute;
                left: 0;
                color: $COLOR_6;
                margin-right: 7px;
                font-family: "fontello";
                font-style: normal;
                font-weight: normal;
                content: '\e810';
                font-size: 18px;
            }
        }
    }
}

.ce_hyperlink {
    margin: 0;
    margin-bottom: 30px;
    a {
        display: table;
        padding: 15px 10px;
        color: $COLOR_2;
        background: $COLOR_3;
        &:hover, &:focus {
            color: $COLOR_2;
            background: $COLOR_4;
        }
    }
}

.ce_accordion {
    margin-left:0px;
    margin-right:0px;
    margin-bottom:20px;

    .js-to_expand[aria-hidden=true],
    .js-to_expand[data-hidden=true] {
        display: none;
    }

    .expandmore__button[aria-expanded=false]::before,
    .expandmore__button[data-expanded=false]::before {
        speak: none;
    }

    .expandmore__button[aria-expanded=true]::before,
    .expandmore__button[data-expanded=true]::before {
        speak: none;
    }

    .expandmore__button {
        background: none;
        border: none;
        font-size: inherit;
        color: inherit;
    }

    .toggler{
        text-align: left;
        margin-bottom: 10px;
        color: $COLOR_2;
        padding: 10px 15px;
        background:$COLOR_3;
        font-size: 20px;
        font-weight: 300;
        padding-right: 50px;
        background-size: 52px;
        position: relative;
        cursor: pointer;
        &::before {
            display: block;
            position:absolute;
            content:"";
            background: $COLOR_3;
            right: 0;
            top: 0;
            border: 1px solid $COLOR_3;
            z-index: 1;
            width: 50px;
            height: calc(100% - 2px);
        }
        &::after {
            @include flex();
            @include align-items(center);
            position:absolute;
            content: "\e83a";
            font-family: "fontello";
            color: $COLOR_2;
            width: 15px;
            height: 15px;
            z-index: 2;
            text-align: center;
            top: calc(50% - 11px);
            right: 13px;
            padding: 2px;
            font-size: 15px;
            //border: 2px solid $COLOR_2;
            border-radius:50px;
            @include transition(all,.3s);
        }
        &.active {
            &::after {
                content: "\e839";
                color: $COLOR_2;
                //border: 2px solid $COLOR_2;
            }
        }
    }
    .ui-accordion-content { padding-top : 15px;padding-left: 30px;padding-right: 20px;padding-bottom: 25px; }
    .accordion { padding-top : 15px;padding-left: 30px;padding-right: 20px;padding-bottom: 25px; }
}

.ce_table {
    margin-bottom: 30px;
    @extend %table;
}

.ce_text {
    margin-bottom: 30px;
    figure { @extend %figure; }
    @extend %table;
    @extend %list;
}

.ce_list {
    margin-bottom: 30px;
    @extend %list;
}

.mod_sitemap {
    margin-bottom: 30px;
    @extend %list;
    ul {
        line-height: 200%;
        li {
            //@include flex-direction(column);
            &:before { display: none; }
            a {
                //@include flex-direction(row);
                color: $COLOR_4;
                &:before {
                    color: $COLOR_6;
                    margin-right: 7px;
                    font-family: "fontello";
                    font-style: normal;
                    font-weight: normal;
                    content: '\e810';
                    font-size: 18px;
                }
            }
            ul.level_2 {
                margin: 5px 0 15px 20px;
                a, span { font-size: 16px; }
            }
        }
    }
}

.ce_gallery {
    margin-bottom:30px;
    &>ul {
        @include flex();
        @include justify-content(space-between);
        @include flex-wrap(wrap);
        figure { @extend %figure; }
    }
}

.ce_image {
    margin-bottom: 30px;
    figure { @extend %figure; }
}

.ce_dlh_googlemaps {
    margin-bottom: 30px;
    .dlh_googlemap {
        max-width: 100%;
    }
}

.ce_youtube {
    margin-bottom: 30px;
    @extend %video;
}

.ce_player {
    margin-bottom: 30px;
    @extend %video;
}

.ce_download, .ce_downloads {
    margin-bottom: 30px;
    ul {
        margin: 0;
        padding: 0;
        li {
            margin: 0;
            padding: 4px 0;
        }
    }
    .mime_icon { display: none; }
    a {
        @include flex();
        @include align-items(center);
        color: $COLOR_2;
        text-decoration: none;
        @include transition(all,.3s);
        span {
          font-weight:normal;
          margin-left: 10px;
        }
        &::before {
            color: $COLOR_2;
            background: $COLOR_3;
            content: "\e80c";
            @include flex();
            @include justify-content(center);
            @include align-items(center);
            font-family: "fontello";
            padding: 7px;
            width: 17px;
            height: 17px;
            text-align: center;
            vertical-align: middle;
            margin-right: 10px;
            font-weight: 100;
        }
        &:hover, &:focus {
            border: 0 none;
            color: $COLOR_6;
        }
    }
    li {
        &.ext-ogg a::before { content: "\e81a"; }
        &.ext-pdf a::before { content: "\e820"; }
        &.ext-doc a::before { content: "\e81f"; }
        &.ext-rar a::before { content: "\e81b"; }
        &.ext-mp4 a::before { content: "\e819"; }
        &.ext-bmp a::before, &.ext-gif a::before, &.ext-jpg a::before { content: "\e81d"; }
        &.ext-css a::before, &.ext-html a::before, &.ext-js a::before { content: "\e81c"; }
    }
}

.ce_form,.mod_login {
    margin-bottom: 30px;

    .c100 {
        @include flex;
        @include justify-content(space-between);
        .c50 { width: 48%; }
    }

    form {
        @include flex;
        .formbody { width: 100%; }
        div.widget {
            @include flex;
            @include flex-direction(column);
            margin: 10px 0;

            label {
                color: $COLOR_2;
                padding: 5px 0;
                width: 100%;
                text-align: left;
            }

            .captcha_text { color: $COLOR_2; }

            input, textarea {
                @include flex-grow(1);
                padding: 4px;
                box-sizing: border-box;
                resize: none;
                border: 1px solid $COLOR_6;
                @include transition(all,0.3s);
                &:hover, &:focus { border-color: $COLOR_3; }
                //font-style: italic;
                .checkbox {
                    flex: 1;
                    max-width: 15px;
                }
                label { flex:2; }
            }

            input:not(.submit) {
                height: 40px;
            }

            select {
                height: 40px;
                border: 1px solid $COLOR_6;
                background: transparent;
                font-style: italic;
                &:hover, &:focus { border-color: $COLOR_3; }
            }

            &.widget-checkbox {
                fieldset { padding-left: 20%; }
                span {
                    @include flex;
                    @include align-items(center);
                    input { margin-right:10px; }
                }
            }

            &.widget-radio {
                fieldset {
                    border: 1px solid $COLOR_6;
                    @include flex;
                    @include flex-direction(column);
                    legend {
                        @include flex;
                    }
                    span {
                        @include flex;
                        input { margin-right: 10px; }
                        label {
                            @include flex;
                            @include align-self(center);
                        }
                    }
                }
            }

            &.widget-upload {
                position: relative;
                width: 100%;

                &:hover {
                    .input-file-trigger {
                        border-color: $COLOR_5;
                        background: $COLOR_5;
                    }
                }

                .input-file-trigger {
                    display: block;
                    padding: 14px 5%;
                    color: $COLOR_2;
                    background: $COLOR_3;
                    width: 90%;
                    font-size: 1em;
                    transition: all .4s;
                    cursor: pointer;
                }
                .input-file {
                    position: absolute;
                    top: 0; left: 0;
                    width: 100%;
                    padding: 25px 0;
                    opacity: 0;
                    cursor: pointer;
                }

                /* styles du retour visuel */
                .file-return,.file-return2 {
                  margin: 0;
                }
                .file-return:not(:empty) {
                  margin: 1em 0;
                }
                .file-return {
                  font-style: italic;
                  font-size: .9em;
                  font-weight: bold;
                }
                /* on complète l'information d'un contenu textuel
                   uniquement lorsque le paragraphe n'est pas vide */
                .file-return:not(:empty):before {
                  content: "Fichier selectionné: ";
                  font-style: normal;
                  font-weight: normal;
                }
            }
        }

        .submit_container {
            text-align: right;

            input {
                padding: 10px;
                cursor: pointer;
                color: $COLOR_2;
                border: 1px solid $COLOR_3;
                background: $COLOR_3;
                @include transition(all,0.3s);
                &:hover, &:focus {
                    border-color: $COLOR_6;
                    background: $COLOR_6;
                }
            }
        }

button {
              padding: 10px;
              cursor: pointer;
              color: $COLOR_2;
              border: 1px solid $COLOR_3;
              background: $COLOR_3;
              @include transition(all,0.3s);
              &:hover, &:focus {
                  border-color: $COLOR_6;
                  background: $COLOR_6;
              }
          }

    }
}

.pagination {
    p {
        font-size: 14px;
        font-weight: 300;
        font-style: italic;
        text-align: center;
    }
    ul {
        @include flex();
        @include justify-content(center);
        width: 100%;
        padding-left: 0px;
        list-style: none;
        li {
            margin: 0px 15px;
            @include flex();
            @include align-items(center);
        }
        span {
            color: $COLOR_3;
        }
        a {
            color: $COLOR_5;
            &:hover, &:focus { color: $COLOR_3; }
        }
        a, span {
            font-size: 40px;
        }
        a.previous, a.next { font-weight:300;font-size:20px; }
    }
}

@media(max-width:1280px)
{
    .ce_gallery {
        .cols_3 {
            img { max-width:290px; }
        }
    }
}

@media(max-width:1024px)
{
    .ce_form {
        .c100 {
            @include flex-direction(column);
            .c50 { width: 100%; }
        }
    }
    .pagination {
        ul {
            li.previous, li.next {
                * {
                    font-size: 0px;
                    i { font-size: 30px; }
                }
            }
            li.previous { margin-left:0px; }
            li.next { margin-right:0px; }
        }
    }
    .ce_gallery {
        .cols_3 {
            img { max-width:172px; }
        }
    }
}

@media(max-width:768px)
{
    form {
        .formbody {
            max-width: 100%;
            .subcolumns {
                @include flex;
                @include flex-direction(column);
                .c50l, .c50r {
                    width: 100%;
                    .subcl, .subcr {
                        margin-left:0;
                        margin-right:0;
                        padding:0;
                    }
                }
            }
        }
    }
    .ce_gallery {
        .cols_3 {
            li { max-width: 30%; }
            img { max-width:inherit; }
        }
    }
}

@media(max-width:480px)
{
    .ce_text {
        figure {
            margin-left:0!important;
            margin-right:0!important;
            width: 100%;
        }
    }
    .ce_gallery {
        .cols_3 {
            li { max-width: 100%; }
        }
    }
    .ce_list, .ce_text, .mod_sitemap {
        ul,ol {
            li {
                //@include flex-wrap(wrap);
            }
        }
    }
}
